## k3b 2.0.1

=== CMakeLists.txt ===
project(k3b)

cmake_minimum_required(VERSION 2.6.2)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

##################  K3b version  ################################
set(K3B_VERSION_MAJOR   2)
set(K3B_VERSION_MINOR   0)
set(K3B_VERSION_RELEASE 1)
set(K3B_VERSION_STRING "${K3B_VERSION_MAJOR}.${K3B_VERSION_MINOR}.${K3B_VERSION_RELEASE}")

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 6)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
if (NOT WIN32)
    option(K3B_BUILD_K3BSETUP "Build k3bsetup" ON)
endif(NOT WIN32)
option(K3B_DEBUG "K3b additional debugging support")
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
if(K3B_BUILD_K3BSETUP)
    set(KDE_MIN_VERSION 4.3.85)
else(K3B_BUILD_K3BSETUP)
    set(KDE_MIN_VERSION 4.3.0)
endif(K3B_BUILD_K3BSETUP)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroLogFeature)
macro_log_feature( KDE4_FOUND "kdelibs"
    "The toolkit K3b uses to build"
    "http://www.kde.org"
    TRUE ${KDE_MIN_VERSION} "" )

if(K3B_ENABLE_DVD_RIPPING)
  find_package(DvdRead)
  macro_log_feature( DVDREAD_FOUND "libDVDRead"
    "Libdvdread provides a simple foundation for reading DVD video disks."
    "http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
    FALSE "" "")
endif(K3B_ENABLE_DVD_RIPPING)

if(K3B_ENABLE_TAGLIB)
  find_package(Taglib)
  macro_log_feature( TAGLIB_FOUND "Taglib"
    "Read and write tags in audio files"
    "http://www.freshmeat.net/projects/taglib"
    FALSE "1.4.0" "")
endif(K3B_ENABLE_TAGLIB)

macro_optional_find_package(Samplerate)
macro_log_feature( SAMPLERATE_FOUND "Samplerate"
  "Audio sampling rate conversion."
  "http://www.mega-nerd.com/SRC/"
  TRUE "" "")

if(K3B_ENABLE_MUSICBRAINZ)
  find_package(MusicBrainz)
  macro_log_feature( MUSICBRAINZ_FOUND "Musicbrainz"
    "Provide information about the CD, about the artist or about related information"
    "http://musicbrainz.org/"
    FALSE "1.1" "")
endif(K3B_ENABLE_MUSICBRAINZ)

find_package(Kcddb)
macro_log_feature( KCDDB_FOUND "KCddb"
  "KCddb is used to retrieve audio CD meta data from the internet."
  "http://multimedia.kde.org"
  TRUE "" "")

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
  find_package(FFmpeg)
  macro_log_feature( FFMPEG_FOUND "FFmpeg"
    "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
    "http://ffmpeg.org/"
    FALSE "" "")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
  find_package(Flac)
  find_package(Flac++)
  macro_log_feature( FLAC_FOUND "Flac"
    "Needed for the Flac audio decoder plugin."
    "http://flac.sourceforge.net/"
    FALSE "" "")
  macro_log_feature( FLAC++_FOUND "Flac++"
    "Needed for the Flac audio decoder plugin."
    "http://flac.sourceforge.net/"
    FALSE "" "")
endif(K3B_BUILD_FLAC_DECODER_PLUGIN)

if(K3B_BUILD_MAD_DECODER_PLUGIN)
  find_package(Mad)
  macro_log_feature( MAD_FOUND "Mad mp3"
    "Needed for the mp3 audio decoder plugin."
    "http://www.underbit.com/products/mad/"
    FALSE "" "")
endif(K3B_BUILD_MAD_DECODER_PLUGIN)

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
  find_package(Muse)
  macro_log_feature( MUSE_FOUND "Muse"
    "Needed for the Musepack audio decoder plugin"
    "http://www.musepack.net/"
    FALSE "" "")
endif(K3B_BUILD_MUSE_DECODER_PLUGIN)

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
  find_package(Sndfile)
  macro_log_feature( SNDFILE_FOUND "Sndfile"
    "Needed for the libsndfile audio decoder plugin."
    "http://www.mega-nerd.com/libsndfile/"
    FALSE "" "")
endif(K3B_BUILD_SNDFILE_DECODER_PLUGIN)

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
  find_package(Lame)
  macro_log_feature( LAME_FOUND "Lame mp3 encoder"
    "Needed for the lame mpf encoder encoder plugin."
    "http://lame.sourceforge.net/"
    FALSE "" "")
endif(K3B_BUILD_LAME_ENCODER_PLUGIN)

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
  find_package(OggVorbis)
  macro_log_feature( OGGVORBIS_FOUND "Ogg Vorbis"
    "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
    "http://www.vorbis.com/"
    FALSE "" "")
endif(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)


if (WIN32)
find_library(SAMPLERATE_LIBRARIES samplerate-0)
endif(WIN32)

##################  K3b build settings #################################
include(ConfigureChecks)

if(K3B_BUILD_K3BSETUP)
  set(BUILD_K3BSETUP 1)
endif(K3B_BUILD_K3BSETUP)

macro_bool_to_01(ADD_K3B_DEBUG K3B_DEBUG)

if(K3B_ENABLE_DVD_RIPPING AND DVDREAD_FOUND)
  set(ENABLE_DVD_RIPPING 1)
endif(K3B_ENABLE_DVD_RIPPING AND DVDREAD_FOUND)

if(K3B_ENABLE_TAGLIB AND TAGLIB_FOUND)
  set(ENABLE_TAGLIB 1)
endif(K3B_ENABLE_TAGLIB AND TAGLIB_FOUND)

if(K3B_ENABLE_MUSICBRAINZ AND MUSICBRAINZ_FOUND)
  set(ENABLE_MUSICBRAINZ 1)
endif(K3B_ENABLE_MUSICBRAINZ AND MUSICBRAINZ_FOUND)

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN AND FFMPEG_FOUND)
  set(BUILD_FFMPEG_DECODER_PLUGIN 1)
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN AND FFMPEG_FOUND)

if(K3B_BUILD_FLAC_DECODER_PLUGIN AND FLAC_FOUND AND FLAC++_FOUND)
  set(BUILD_FLAC_DECODER_PLUGIN 1)
endif(K3B_BUILD_FLAC_DECODER_PLUGIN AND FLAC_FOUND AND FLAC++_FOUND)

if(K3B_BUILD_MAD_DECODER_PLUGIN AND MAD_FOUND)
  set(BUILD_MAD_DECODER_PLUGIN 1)
endif(K3B_BUILD_MAD_DECODER_PLUGIN AND MAD_FOUND)

if(K3B_BUILD_MUSE_DECODER_PLUGIN AND MUSE_FOUND)
  set(BUILD_MUSE_DECODER_PLUGIN 1)
endif(K3B_BUILD_MUSE_DECODER_PLUGIN AND MUSE_FOUND)

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN AND SNDFILE_FOUND)
  set(BUILD_SNDFILE_DECODER_PLUGIN 1)
endif(K3B_BUILD_SNDFILE_DECODER_PLUGIN AND SNDFILE_FOUND)

if(K3B_BUILD_LAME_ENCODER_PLUGIN AND LAME_FOUND)
  set(BUILD_LAME_ENCODER_PLUGIN 1)
endif(K3B_BUILD_LAME_ENCODER_PLUGIN AND LAME_FOUND)

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN AND OGGVORBIS_FOUND)
  set(BUILD_OGGVORBIS_DECODER_PLUGIN 1)
endif(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN AND OGGVORBIS_FOUND)

if(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN AND OGGVORBIS_FOUND)
  set(BUILD_OGGVORBIS_ENCODER_PLUGIN 1)
endif(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN AND OGGVORBIS_FOUND)

if(K3B_BUILD_WAVE_DECODER_PLUGIN)
  set(BUILD_WAVE_DECODER_PLUGIN 1)
endif(K3B_BUILD_WAVE_DECODER_PLUGIN)

if(K3B_BUILD_SOX_ENCODER_PLUGIN)
 set(BUILD_SOX_ENCODER_PLUGIN 1)
endif(K3B_BUILD_SOX_ENCODER_PLUGIN)

if(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)
 set(BUILD_EXTERNAL_ENCODER_PLUGIN 1)
endif(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)

if(NOT WIN32 AND NOT APPLE)
  set(ENABLE_HAL_SUPPORT 1)
endif(NOT WIN32 AND NOT APPLE)

configure_file (config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h )


##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${k3b_SOURCE_DIR}/Doxyfile.cmake ${k3b_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.trolltech.com/4.5/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(K3B_BUILD_API_DOCS)


##################  K3b build environment ################################

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include_directories(
  ${k3b_BINARY_DIR}
  ${k3b_SOURCE_DIR}/libk3bdevice
  ${k3b_SOURCE_DIR}/libk3b/core
  ${k3b_SOURCE_DIR}/libk3b/plugin
  ${k3b_SOURCE_DIR}/libk3b/tools
  ${k3b_SOURCE_DIR}/libk3b/tools/qprocess
  ${k3b_SOURCE_DIR}/libk3b/tools/qprocess/private
  ${k3b_SOURCE_DIR}/libk3b/projects
  ${k3b_SOURCE_DIR}/libk3b/projects/audiocd
  ${k3b_SOURCE_DIR}/libk3b/projects/datacd
  ${k3b_SOURCE_DIR}/libk3b/projects/videocd
  ${k3b_SOURCE_DIR}/libk3b/projects/mixedcd
  ${k3b_SOURCE_DIR}/libk3b/jobs
  ${k3b_SOURCE_DIR}/libk3b/videodvd
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
)

add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioslaves )
add_subdirectory( plugins )
if(BUILD_K3BSETUP)
   add_subdirectory(k3bsetup)
endif(BUILD_K3BSETUP)


##################  K3b config summary ################################
macro_display_feature_log()
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== debian/changelog ===
k3b (2.0.1-2) unstable; urgency=medium

  * Fix a typo in the k3b.bug-script.
  * Report a proper capacity for BD-R disks (patch
    114_bug587996_bdr_capacity_fix.diff). (Closes: #587996)
  * Urgency=medium to get it to Squeeze faster.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Dec 2010 23:00:04 +0200

k3b (2.0.1-1) unstable; urgency=low

  * New upstream release:
    - Freeze on ripping Audio CD using external encoder to MP3 or FLAC
      (Closes: #581598).
    - Symbolic links are not added to a project when a folder is added
      recursively (Closes: #581070).

  [ Mark Purcell ]
  * Add debian/k3b.bug-presubj advising users of upstream support options.
  * Include wodim -checkdrive in reportbug output (debian/k3b.bug-script).
  * Update debian/watch - svn-upgrade.

  [ Fathi Boudra ]
  * Remove patches to improve dvd+rw-tools output parsing functions - merged
    upstream.
  * Update installed files.
  * Merge Ubuntu changes: set k3b as the default handler for iso files rather
    than ark.

 -- Fathi Boudra <fabo@debian.org>  Tue, 17 Aug 2010 09:05:35 +0300

k3b (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add hal dependency to k3b package.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Jun 2010 21:31:16 +0300

k3b (1.93.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/k3b-i18n.install: handbook moved to userbase.kde.org.
  * Remove 102_rename_dvd+rw-tools.diff patch.
  * Add patches to improve dvd+rw-tools output parsing functions:
    - 01_dvd+rw-tools_format_parse_version.diff
    - 02_dvd+rw-tools_format_parse_copyright.diff
    - 03_dvd+rw-tools_booktype_parse_version.diff

 -- Fathi Boudra <fabo@debian.org>  Fri, 18 Jun 2010 21:25:46 +0300

k3b (1.0.5-3) unstable; urgency=high

  * Acknowledge NMU (closes: #486112)
  * k3b: Add a versioned dependency on libk3b3 (closes: #486093)

 -- Francois Marier <francois@debian.org>  Fri, 20 Jun 2008 10:40:19 +1200

k3b (1.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload, acked by uploader Fathi Boudra.
  * Add various missing replaces. (Closes: #486112)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jun 2008 18:37:36 +0200

k3b (1.0.5-2) unstable; urgency=low

  [ Michael Meskes ]
  * Moved changes in file src/k3b.desktop to a patch under debian/patches.

  [ Francois Marier ]
  * Sync with Ubuntu
    - Add kfile_k3b.so to k3b.install
    - libk3b3-extracodecs replaces libk3b2-extracodecs
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Remove the KUBUNTU difference file

 -- Francois Marier <francois@debian.org>  Thu, 12 Jun 2008 14:20:20 +1200

=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
 libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev, libmusicbrainz4-dev,
 libsamplerate0-dev, libsndfile1-dev, libtag1-dev, shared-mime-info,
 libvorbis-dev, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
Standards-Version: 3.9.1
Homepage: http://www.k3b.org
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, hal
Recommends: libk3b6-extracodecs, dvd+rw-tools, vcdimager
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2
Replaces: k3b-data (<< 1.66.0~alpha2-1)
Description: A sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Replaces: k3b-data (<< 1.70.0~beta1)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all 
Depends: ${misc:Depends}, k3b
Description: A sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b6 (= ${binary:Version})
Description: The KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b6-extracodecs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-dbg
Section: debug
Architecture: any
Priority: extra
Depends: k3b (= ${binary:Version}), ${misc:Depends}
Description: A sophisticated CD/DVD burning application - debugging symbols
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the debugging symbols associated with k3b. They will
 automatically be used by gdb for debugging k3b-related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=k3b-dbg --list-missing --with kde

.PHONY: override_dh_auto_test

## k3b 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ##################  K3b version  ################################
 set(K3B_VERSION_MAJOR   2)
 set(K3B_VERSION_MINOR   0)
-set(K3B_VERSION_RELEASE 1)
+set(K3B_VERSION_RELEASE 2)
 set(K3B_VERSION_STRING "${K3B_VERSION_MAJOR}.${K3B_VERSION_MINOR}.${K3B_VERSION_RELEASE}")
 
 # increase on BC breakage
@@ -19,14 +19,15 @@
 
 
 ##################  K3b options #################################
-if (NOT WIN32)
-    option(K3B_BUILD_K3BSETUP "Build k3bsetup" ON)
-endif(NOT WIN32)
 option(K3B_DEBUG "K3b additional debugging support")
 option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
 option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
 option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
 option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)
+if(NOT WIN32 AND NOT APPLE)
+  option(K3B_BUILD_K3BSETUP "Graphical utility for managing device permissions" ON)
+  option(K3B_ENABLE_HAL_SUPPORT "Support for inhibiting HAL from polling disk during write." ON)
+endif(NOT WIN32 AND NOT APPLE)
 
 # plugin options
 option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
@@ -224,9 +225,9 @@
  set(BUILD_EXTERNAL_ENCODER_PLUGIN 1)
 endif(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)
 
-if(NOT WIN32 AND NOT APPLE)
+if(K3B_ENABLE_HAL_SUPPORT)
   set(ENABLE_HAL_SUPPORT 1)
-endif(NOT WIN32 AND NOT APPLE)
+endif(K3B_ENABLE_HAL_SUPPORT)
 
 configure_file (config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h )
 
@@ -282,6 +283,7 @@
 add_subdirectory( src )
 add_subdirectory( kioslaves )
 add_subdirectory( plugins )
+add_subdirectory( doc )
 if(BUILD_K3BSETUP)
    add_subdirectory(k3bsetup)
 endif(BUILD_K3BSETUP)
@@ -289,6 +291,6 @@
 
 ##################  K3b config summary ################################
 macro_display_feature_log()
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k3b)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(sl)
add_subdirectory(lt)
add_subdirectory(csb)
add_subdirectory(hr)
add_subdirectory(pt_BR)
add_subdirectory(se)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(pl)
add_subdirectory(el)
add_subdirectory(zh_TW)
add_subdirectory(fi)
add_subdirectory(ru)
add_subdirectory(zh_CN)
add_subdirectory(pa)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(ja)
add_subdirectory(ca)
add_subdirectory(ms)
add_subdirectory(eo)
add_subdirectory(da)
add_subdirectory(sr)
add_subdirectory(is)
add_subdirectory(hu)
add_subdirectory(tr)
add_subdirectory(ga)
add_subdirectory(eu)
add_subdirectory(nn)
add_subdirectory(ast)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(en_GB)
add_subdirectory(sr@ijekavian)
add_subdirectory(th)
add_subdirectory(uk)
add_subdirectory(sr@latin)
add_subdirectory(mai)
add_subdirectory(it)
add_subdirectory(km)
add_subdirectory(pt)
add_subdirectory(hi)
add_subdirectory(sk)
add_subdirectory(gl)
add_subdirectory(he)
add_subdirectory(ku)
add_subdirectory(oc)
add_subdirectory(lv)
add_subdirectory(de)
add_subdirectory(bg)
add_subdirectory(et)
add_subdirectory(sv)
add_subdirectory(nds)
add_subdirectory(cs)
add_subdirectory(ro)
add_subdirectory(be)
add_subdirectory(nl)
add_subdirectory(hne)
add_subdirectory(ko)

=== libk3b/jobs/CMakeLists.txt ===
install( FILES
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bvideodvdtitletranscodingjob.h
  k3bvideodvdtitledetectclippingjob.h
  k3bverificationjob.h
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiofileanalyzerjob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bverificationjob.h
  k3bmetawriter.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )


#
#if include_videodvdrip
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
#	k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
#	k3bdvdcopyjob.cpp k3bvideodvdtitletranscodingjob.cpp k3bvideodvdtitledetectclippingjob.cpp \
#	k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
#	k3biso9660imagewritingjob.cpp \
#	k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
#	k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
#	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
#	k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
#	k3bblankingjob.h k3bvideodvdtitletranscodingjob.h k3bvideodvdtitledetectclippingjob.h \
#	k3bverificationjob.h
#else
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
#	k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
#	k3bdvdcopyjob.cpp \
#	k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
#	k3biso9660imagewritingjob.cpp \
#	k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
#	k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
#	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
#	k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
#	k3bblankingjob.h k3bverificationjob.h
#endif

=== libk3b/scripts/CMakeLists.txt ===



########### install files ###############

install( FILES  k3b_automount DESTINATION  )



#original Makefile.am contents follow:

#bin_SCRIPTS = k3b_automount
#
## k3b_automount needs to be installed setuid root
#install-exec-hook:
#	@(chown 0 $(DESTDIR)$(bindir)/k3b_automount && chmod 4755 $(DESTDIR)$(bindir)/k3b_automount) || echo "Please make k3b_automount setuid root" >&2
#	@echo ""
#	@echo "k3b_automount is by default installed with a set SETUID root bit!"
#	@echo "This is needed for K3b to be able to temporarily disable automounting via"
#	@echo "subfs or supermount while burning."
#	@echo ""
#

=== po/km/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(km ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/pa/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(pa ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== libk3b/projects/audiocd/CMakeLists.txt ===
install( FILES
  k3baudiodoc.h
  k3baudiojob.h
  k3baudiocdtrackdrag.h
  k3baudiotrack.h
  k3baudiodatasource.h
  k3baudiofile.h
  k3baudiozerodata.h
  k3baudiocdtracksource.h
  k3baudiodatasourceiterator.h
  k3brawaudiodatasource.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
  COMPONENT Devel )

=== libk3b/projects/datacd/CMakeLists.txt ===
install( FILES  k3bdatadoc.h  			k3bdatajob.h  			k3bdataitem.h  			k3bdiritem.h  			k3bfileitem.h  			k3bbootitem.h  			k3bisooptions.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== libk3b/projects/movixcd/CMakeLists.txt ===
install( FILES  k3bmovixdoc.h  			k3bmovixjob.h  			k3bmovixfileitem.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
  FLAC::Metadata::VorbisComment* vc;
  vc->get_vendor_string().get_field();
  return 0;
}
" FLAC_LESS_THAN_1_1_1 )

if( NOT FLAC_LESS_THAN_1_1_1)
  set(FLAC_NEWER_THAN_1_1_1 1)
endif(NOT FLAC_LESS_THAN_1_1_1)

configure_file(config-flac.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-flac.h )

########### next target ###############

set(k3bflacdecoder_PART_SRCS k3bflacdecoder.cpp )

kde4_add_plugin(k3bflacdecoder ${k3bflacdecoder_PART_SRCS})

target_link_libraries(k3bflacdecoder
  k3b k3bdevice
  ${KDE4_KDEUI_LIBS}
  ${FLAC++_LIBRARIES}
  ${FLAC_LIBRARIES} )

if(ENABLE_TAGLIB)
  target_link_libraries(k3bflacdecoder
    ${TAGLIB_LIBRARIES})
endif(ENABLE_TAGLIB)

install(TARGETS k3bflacdecoder DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  k3bflacdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/decoder/mp3/CMakeLists.txt ===



########### next target ###############

set(k3bmaddecoder_PART_SRCS k3bmad.cpp k3bmaddecoder.cpp )

kde4_add_plugin(k3bmaddecoder 
  ${k3bmaddecoder_PART_SRCS})

target_link_libraries(k3bmaddecoder
  k3b k3bdevice
  ${KDE4_KDECORE_LIBS}
  ${MAD_LIBRARIES} )

if(ENABLE_TAGLIB)
  target_link_libraries(k3bmaddecoder
    ${TAGLIB_LIBRARIES})
endif(ENABLE_TAGLIB)

install(TARGETS k3bmaddecoder DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  k3bmaddecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
k3b (2.0.2-7ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.
    - swap kubuntu_06_libav_0.7.diff for Debian's
      Fixed_compilation_with_new_FFMPEG.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Nov 2013 10:36:01 +0000

k3b (2.0.2-7) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Enable the lame-based MP3 encoding plugin (based on Pino's work):
    - Build-Depend on libmp3lame-dev.
    - Install the new plugin (and its configuration) in libk3b6-extracodecs.

  [ Pino Toscano ]
  * Update Vcs-* headers.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add Fix-K3B-to-build-with-recent-FFMPEG-versions.patch (backported from
    upstream branch 2.0) and ffmpeg-more.diff to fix compatibility with newer
    ffmpeg/libav versions. (Closes: #720799)
  * Add Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch (backported from
    upstream branch 2.0) to prefer growisofs to wodim for DVD/BluRay; add the
    growisofs recommend. (Closes: #714944)
  * Suggest kde-config-cddb for the CDDB configuration page. (Closes: #696828)

 -- Pino Toscano <pino@debian.org>  Sun, 25 Aug 2013 18:42:53 +0200

k3b (2.0.2-6ubuntu1) raring-proposed; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 13:49:44 -0400

k3b (2.0.2-6) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Compress k3b-data and k3b-i18n as xz.
  * Add fix-sox-detection-with-sox-14.4.0.patch (backported from upstream
    branch 2.0) to fix the detection of sox >= 14.4. (Closes: #675737)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Aug 2012 17:54:37 -0300

k3b (2.0.2-5ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 16 Jun 2012 19:34:50 -0400

k3b (2.0.2-5) unstable; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Drop the libmusicbrainz4-dev build dependency, since musicbrainz v2 is
    long deprecated and will be removed soon. (Closes: #666531)
  * Bump to debhelper compatibility v9:
    - bump the debhelper build dependency to 9
    - bump compat to 9
  * Link with --as-needed.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Jun 2012 12:30:03 +0200

k3b (2.0.2-4ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Remove build depends on libdvdread-dev, libmusicbrainz4-dev from
      universe.
    - Suggest, not recommend libk3b6-extracodecs (multiverse)
    - Suggest, not recommend vcdimager (universe)
    - Disable the k3b-i18n package. Rosetta handles the translations since
      k3b is in main, and we aren't shipping docs at the moment for k3b
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 20 May 2012 13:29:35 -0400

k3b (2.0.2-3ubuntu4) precise; urgency=low

  * debian/patches/kubuntu_07_quicklists.diff:
    - Add some quicklist actions.  Patch by Graham Castleton.

 -- Michael Terry <mike@mterry.name>  Thu, 15 Mar 2012 14:13:16 -0400

k3b (2.0.2-4) unstable; urgency=low

  * Team upload.
  * Add k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch (backported
    from upstream branch 2.0) to fix compatibility with FreeBSD >= 9.0
    libraries. (Closes: #660398)
  * Update patch 101_rename_normalize.diff to properly consider "normalize"
    the identifier to use for the normalize-audio version (thus fixing the
    normalize-audio detection). (Closes: #597155)
  * Add k3bsetup-put-the-shebang-in-the-first-line.patch (backported from
    upstream) to fix the detection of k3bsetup as shell script.
  * control: remove ${shlibs:Depends} from k3b-data and k3b-extrathemes.



=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
 libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev,
 libqtwebkit-dev, libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
 shared-mime-info, libvorbis-dev, libcam-dev [kfreebsd-any],
 libmp3lame-dev
Standards-Version: 3.9.4
Homepage: http://www.k3b.org
X-Vcs-Debian-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
X-Vcs-Debian-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage
Recommends: dvd+rw-tools, vcdimager, growisofs
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
 kde-config-cddb,
 libk3b6-extracodecs
Replaces: k3b-data (<< 1.66.0~alpha2-1)
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Replaces: k3b-data (<< 1.70.0~beta1)
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all 
Depends: ${misc:Depends}, k3b
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b6 (= ${binary:Version})
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b6-extracodecs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-dbg
Section: debug
Architecture: any
Priority: extra
Depends: k3b (= ${binary:Version}), ${misc:Depends}
Description: Sophisticated CD/DVD burning application - debugging symbols
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the debugging symbols associated with k3b. They will
 automatically be used by gdb for debugging k3b-related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# packages to compress as xz
pkgs_xz := k3b-data k3b-i18n

%:
	dh $@ --parallel --dbg-package=k3b-dbg --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_builddeb:
	dh_builddeb $(addprefix -p,$(pkgs_xz)) -- -Zxz
	dh_builddeb --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://sf.net/k3b k3b-([0-9.rc]+).tar.bz2 debian svn-upgrade
